Request creation of hound labs project
Closed, ResolvedPublic

Description

Project Name: hound
Purpose: Investigate if hound is a good solution to offer source code search for Wikimedia repositories.

Wikitech Username of requestor: dereckson

Bref description:
Hound is a Go (back-end), React (front-end) application built by etsy to have a product fast, easy to configure and with few dependencies (only Go actually).

The UI seems more modern than OpenGrok. OpenStack seems to use it as http://codesearch.openstack.org/.

Additional requirements:
Web access will be needed, for example through hound.wmflabs.org

Related Objects

StatusAssignedTask
OpenNone
ResolvedAndrew
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2016, 7:13 PM
Dereckson edited the task description. (Show Details)Oct 18 2016, 7:21 PM
Andrew added a subscriber: Andrew.Oct 24 2016, 4:00 PM

This is almost certainly fine but I'm waiting on a definite thumbs up from legal regarding the weird licensing terms for React.

Update: We haven't forgotten this, still waiting for Legal.

chasemp changed the task status from "Open" to "Stalled".Nov 21 2016, 2:28 PM
Andrew closed this task as "Resolved".Dec 19 2016, 6:07 PM
Andrew claimed this task.

There has now been a huge amount of discussion about the weird React license. Everyone (including the OSI people) are mostly in agreement that we hate the special patent clause, but that it is maybe not a deal breaker. More info in this thread here:

https://lists.opensource.org/pipermail/license-discuss/2016-December/019600.html

The upshot is that the Labs team has decided to provisionally approve use of the React license. But, be warned that at any point a legal consensus may emerge that React is NOT OSI-compatible, at which point we'll probably have to go through and stamp it out throughout labs.

I wish I could provide you with more certainty about this; sorry.

In any case... in the meantime I have created your project! @Dereckson, you are a projectadmin in the 'hound' project and you can create instances and add new members as appropriate. Let us know if you have other questions!

-Andrew